/*  
    Filename: styles.css

    Author: Me
    Date:   01.30.2026 
*/

/* reset styles */
html {
    font-size: 16px;
    background-color: rgba(228, 204, 251, 0.498);
    float: none;
}

            /* body */
body {
    margin: 1px auto;
    padding: 20px auto;
    font-family: "cursive", 'Times New Roman';
    color: rgb(125, 47, 125);
}

h1 {
    font-family: "Mea Culpa", "curive";
    text-align: center;
    color: rgb(28, 3, 53);
    font-size: 30px;
}

h2{ 
    font-family: "Lavishly Yours", "cursive";
    color:rgb(53, 20, 86);
    text-align: center;
}

/* Site navigation */
nav.sitenavigation {
    color: rgb(226, 206, 246);
    text-align: center;
    background-color: rgb(194, 159, 227);
    margin: 0 auto;
    border: 1px solid plum;
}
nav.sitenavigation p {
    margin: 0.5em 0.8em;
    display: inline-block;
}

nav.sitenavigation a:link {
    text-decoration: none;
    color: rgb(240, 228 , 251);
}

nav.sitenavigation a:visited{
    color: rgb(28, 3, 53);
}

nav.sitenavigation a:hover, nav.sitenavigation a:focus {        /* Isn't necessary */
    background-color: rgba(145, 90, 229, 0.713);
    
}

 
/* Cotainer */
.container {
    min-width: 350px;
    margin: 1px auto;
    padding: 20px;
    border: 1px solid plum;
    background-image: url(https://i.pinimg.com/736x/6a/c0/f6/6ac0f68837fb99892e34ee148c5f73d1.jpg);
    background-repeat: no-repeat; 
    background-size: cover;
    background-position: bottom;
    color: rgb(226, 206, 246);
    
}

    /* title */
.title {
    font-family: "Mea Culpa", "curive";
    color: rgb(240, 228, 251);
    text-align: center;
    font-size: 50px;
}

    /* Buttons */
.button {
    margin: auto;
    padding: 5px;
    color:rgb(240, 228 , 251);
    background-color: rgb(194, 159, 227);
    border-color:rgb(226, 206, 246); 
    
}

.button :hover {
    text-decoration: none;
}

    /* h2 box  */
#box {
    min-width: 350px;
    margin: 1px auto;
    padding: 20px;
    background-color: rgb(252, 227, 246);
    border: 1px solid rgb(169, 147, 169);
    }

/* columns */
.column {
    box-sizing: border-box ;
    float: left;
    padding: 20px;
    min-height: 700px;
}

.left, .right {
    width: 25%;
    background-color: rgb(226, 206, 246);
}

.middle {
    width:50%;
    background-color: rgb(240, 228 , 251);
}

.row:after {  /* Clear floats after the column */
    content: "";
    display: table;
    clear: both;
}

/* Images */
.img1 {
    border-radius:8px;
    border: 2px solid rgb(19, 1, 36);
    margin-top: 15px;
    margin-left: 55px; 
}

.img2 {
    border: 1px dotted rgb(227, 39, 114);
    border-radius: 5px;
    margin-top: 15px;
    margin-left: 25px; 
}

.img3 {
    border-radius:8px;
    border: 2px solid rgb(19, 1, 36);
    display: center;
    margin-top: 15px;
    margin-left: 20px; 
}

.img4 {
    border-radius: 50%;
    border: 2px dashed rgb(53, 20, 86);
    margin-left: 30px;
}

/* Again columns! Food */
.columns {
    float: left;
    width: 50%;
    min-height: 500px;
}

            /*   Is also used / Clear floats after the column 
.row:after { 
    content: "";
    display: table;
    clear: both;
} 
    */

/* Middle Section */
.middlesection {
background-image: url(https://i.pinimg.com/1200x/0f/be/d6/0fbed6b0aa599356962dfd56509606b4.jpg);
    min-height: 650px;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 10px;
    color: rgb(125, 47, 125);
}

p.food {
    margin: 3%;
    text-align: center;
}

li {
    text-align: center;
    list-style-type: none;
    font-size: 35px;
    color: rgba(13, 4, 13, 0.853);
    font-family:"Festive", "cursive";
}

/* Table */
table, th, td {
    border: 1px solid;
}

table {
    font-size: 25px;
    min-height: 70px;
    font-family: "EB Garamond", "curisive";
    text-align: center;
}

td.days {
    background-color: rgb(194, 159, 227);
}

/* Last part / contact me */
input{
    background-color: rgb(226, 206, 246);
    background-size: 50%;
    border: rgb(194, 159, 227) solid 2px;
    width: 700px;
    height: 100px;
   
}

input:focus {
    background-color: rgb(194, 159, 227);
    border-color: rgb(226, 206, 246) solid 2px;

}

form {
    font-size: 35px;
    text-align: center;
    font-family: "EB Garamond", "curisive";
    margin-top: 45px;
}
br {
    size: 50%
}



    /* Botton2 */
.button2 {
    color:rgb(240, 228 , 251);
    background-color: rgb(194, 159, 227);
    border-color:rgb(226, 206, 246); 
    height: 45px;
    width: 120px;
    font-family: "EB Garamond", "curisive";
    font-size: large;
    padding-bottom: 5px;
    margin: 30px;
    
}

.button2 :hover {
    text-decoration: none;
}
    /* square */

    div.square {
        width: 800px;
        height: 680px;
        padding: 10px;
        border: 5px solid rgb(125, 47, 125);
        margin: 300px;
        margin-top: 20px;
        margin-bottom:20px ;

      
    }

/* Queries Media */

        /* 3 clomuns */
@media screen and (max-width: 600px) {

.title {
    font-size: 35px;
}

  .column {
    width: 100%;
    text-align: center;
  }
  
  .img1{
    margin-left: 25px; 
  }
  .img2{
    width: 425px;
    height: 230px;
    margin-left: 2px;
    margin-top: 0;
    margin-top: 35px;
    margin-bottom: 45px;
  }
.img3 {
    margin-left: 10px;
    margin-top: 35px;
    margin-bottom: 45px;
}
table {
    font-size: 15px;
    width: 500px;
}

div.square { 
    width: 450px;
    height: 500px;
        padding: 0 px;
        border: 5px solid rgb(125, 47, 125);
        margin: 0px;
        margin-top: 0px;
        margin-bottom:0px ; 
        margin-left: 10px;
}
input {
     width: 300px;
     height: 10px;
}

}


/* no images */
@media screen and (min-width: 600px) and (max-width: 1450px ) {
    .img1, .img2, .img3, .img4 {
    display: none;
    }

    .column {
    min-height: 100px;
    }
    .right {
        padding-bottom: 186px;
    }  
    .left{
        padding-bottom: 40px;
    }
}


/* print styles */
@media print {
   body, h1{ 
      color: rgb(0,0,0);
      background: rgb(255,255,255);
   }
   body {
      max-width: 100%;
   }
   nav {
      display: none;
   }
@page {
   margin: 0.75in;
}
}
